Name:		scim-input-pad
Summary:	An onscreen input pad to input some symbols
Version:	0.1.3.1
Release:	%mkrel 12
Group:		System/Internationalization
License:	GPLv2+
URL:		https://sourceforge.net/projects/scim/
Source0:	https://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-input-pad-0.1.1-linkage.patch
BuildRequires:	pkgconfig(scim) >= 1.2.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:  intltool
Requires:	scim-client = %{scim_api}
Obsoletes:	%{_lib}scim-input-pad0

%description
An onscreen input pad to input some symbols.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%configure --disable-static
%make_build

%install
%make_install

# remove unnecessary files
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_libdir}/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/scim-*
%{_datadir}/scim/icons/*
%{_libdir}/*.so.*
%{scim_plugins_dir}/Helper/*.so


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.3.1-12.mga10
+ Revision: 2214106
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.1.3.1-11.mga9
+ Revision: 1841912
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 joequant <joequant> 0.1.3.1-10.mga8
+ Revision: 1620480
- add intltool
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.1.3.1-9.mga8
+ Revision: 1516772
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3.1-8.mga7
+ Revision: 1300952
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> 0.1.3.1-7.mga7
+ Revision: 1245677
- fix build on aarch64

* Wed Feb 17 2016 umeabot <umeabot> 0.1.3.1-6.mga6
+ Revision: 962759
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 0.1.3.1-5.mga6
+ Revision: 870050
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3.1-4.mga5
+ Revision: 743816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3.1-3.mga5
+ Revision: 689062
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.3.1-2.mga4
+ Revision: 527752
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 0.1.3.1-1.mga4
+ Revision: 442107
- adjust file list
- new release

* Mon Jan 14 2013 umeabot <umeabot> 0.1.2-5.mga3
+ Revision: 381856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 fwang <fwang> 0.1.2-4.mga3
+ Revision: 344581
- add br

* Fri Mar 18 2011 tv <tv> 0.1.2-3.mga1
+ Revision: 73889
- clean up
- imported package scim-input-pad


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdv2011.0
+ Revision: 614814
- the mass rebuild of 2010.1 packages

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 369357
- New version 0.1.2

* Sat Feb 14 2009 Funda Wang <fwang@mandriva.org> 0.1.1-6mdv2009.1
+ Revision: 340180
- fix linkage

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-5mdv2009.0
+ Revision: 242675
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 90263
- rebuild

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 70978
- package libtool files
- fix build with newer scim


* Tue Dec 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-1mdk
- new release
- add download URL
- drop patch 0 (merged upstream)

* Mon Dec 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-5mdk
- patch 0: fix build on x86_64

* Tue Jul 19 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-4mdk
- Rebuild for new scim ( 1.4.0 )

* Mon Jun 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-2mdk
- Rebuild for new scim

* Thu Mar 24 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- new release

* Fri Mar 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.2-1mdk
- new release

* Mon Mar 07 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- first spec for mdk

